# Installation auf Debian 12:

## OS:
 * Debian 12.2.0 Netinstall .ISO 
 * LVM-System installieren
 * tasksel:
   * SSH-Server
   * Standard Systemwerkzeuge

#### Paketinstallation:
 * ```apt install -y bacula git autofs smbclient cifs-utils sudo build-essential bmon iotop htop```
   * Achtung: Das Passwort der postgresql Datenbank merken! 
 * ```wget -qO- https://pkgs.bacularis.app/bacularis.pub | gpg --dearmor > /usr/share/keyrings/bacularis-archive-keyring.gpg```
 * ```echo "deb [signed-by=/usr/share/keyrings/bacularis-archive-keyring.gpg] https://pkgs.bacularis.app/stable/debian bookworm main" > /etc/apt/sources.list.d/bacularis.list```
 * ```echo "deb-src [signed-by=/usr/share/keyrings/bacularis-archive-keyring.gpg] https://pkgs.bacularis.app/stable/debian bookworm main" >> /etc/apt/sources.list.d/bacularis.list```
 * ```apt update```
 * ```apt install -y bacularis bacularis-nginx```
 * ```ln -s /etc/nginx/sites-available/bacularis.conf /etc/nginx/sites-enabled/```
 * ```systemctl restart nginx```

## Konfiguration:

### Bacularis:
 * Browser-URL: http://<host-ip>:9097/
 * Initialer Login: admin / admin
   * Sprache: Englisch, Enable API und Enable Web interface auswählen
   * Datenbank: Passwort und IP-Adresse 127.0.0.1 eintragen (mit "test"-Button testen!)
   * sudo configuration:
     * Im Terminal: ```nano /etc/sudoers.d/bacularis-api``` aufrufen und folgende Zeilen einfügen:
     <code>
Defaults:www-data !requiretty
www-data ALL = (root) NOPASSWD: /usr/sbin/bconsole
www-data ALL = (root) NOPASSWD: /usr/sbin/bdirjson
www-data ALL = (root) NOPASSWD: /usr/sbin/bsdjson
www-data ALL = (root) NOPASSWD: /usr/sbin/bfdjson
www-data ALL = (root) NOPASSWD: /usr/sbin/bbconsjson
www-data ALL = (root) NOPASSWD: /usr/bin/systemctl start bacula-dir
www-data ALL = (root) NOPASSWD: /usr/bin/systemctl stop bacula-dir
www-data ALL = (root) NOPASSWD: /usr/bin/systemctl restart bacula-dir
www-data ALL = (root) NOPASSWD: /usr/bin/systemctl start bacula-sd
www-data ALL = (root) NOPASSWD: /usr/bin/systemctl stop bacula-sd
www-data ALL = (root) NOPASSWD: /usr/bin/systemctl restart bacula-sd
www-data ALL = (root) NOPASSWD: /usr/bin/systemctl start bacula-fd
www-data ALL = (root) NOPASSWD: /usr/bin/systemctl stop bacula-fd
www-data ALL = (root) NOPASSWD: /usr/bin/systemctl restart bacula-fd
</code>


### autofs Konfiguration
 * Siehe README.md im Verzeichnis ```autofs```

### vchanger Konfiguration
 * Siehe README.md im Verzeichnis ```vchanger```  

### Erkenntnisse

* Die Einträge DIRAddress, SDAddress und FDAddress sollten 0.0.0.0 sein um auf dem lokalen Netz erreichbar zu sein
* autofs benötigt smbclient, samba und cifs-tools
* Blockgröße der Devices auf mindestens 1MB einstellen, die Maximale Blockgröße ist 4MB

* bacula-sd.conf
  * Device {}
    * Minimum Blocksize = 1M
    * Maximum Blocksize = 4M
* bacula-dir.conf
  * Pool {}
    * Pool Size anpassen. Größe 0 = Unbegrenzt